import 'dart:html';
import 'package:rikulo_ui/view.dart';

void main() {
  //test query
  Element el = new Element.tag("div")
    ..nodes.add(
      new Element.tag("div")
        ..nodes.add(
          new Element.tag("div")..id = "foo"));
  el = el.query('#foo');
  printc("query: ${el != null ? el.id: 'not found'}");

  final no = 10000;
  printc("Test 1 started");
  el = new Element.tag("div");
  for (int i = 0; i < no; ++i)
    el.nodes.add(new Element.tag("div"));
  document.body.nodes.add(el);
  printc("end of create $no DIVs by use new Element.tag()");

  StringBuffer sb = new StringBuffer()..write("<div>");
  for (int i = 0; i < no; ++i)
    sb.write("<div></div>");
  document.body.insertAdjacentHtml("beforeEnd", (sb..write("</div>")).toString());
  printc("end of create $no DIVs by use StringBuffer");

  printc("Test 2 started");
  el = new Element.tag("table")..nodes.add(new Element.tag("tbody"));
  final tbody = el.nodes[0];
  for (int i = 0; i < no; ++i)
    tbody.nodes.add(new Element.tag("tr")
      ..nodes.add(new Element.tag("td")));
  document.body.nodes.add(el);
  printc("end of create $no TR&TDs by use new Element.tag()");

  sb = new StringBuffer()..write("<table>");
  for (int i = 0; i < no; ++i)
    sb.write("<tr><td></td></tr>");
  document.body.insertAdjacentHtml("beforeEnd", (sb..write("</table>")).toString());
  printc("end of create $no TR&TDs by use StringBuffer");
}