import 'package:rikulo_ui/view.dart';
import 'package:rikulo_ui/event.dart';
import 'package:rikulo_ui/model.dart';
import 'dart:html';
import 'dart:async';

void main() {
  new Style(content: ".big {width: 100px; height: 30px} .hide {display:none}")..addToDocument();
  final btn = new Button()
    ..profile.text = "width: ignore; height: ignore"
    ..classes.addAll(["big", "hide"]);
  new View()..addChild(btn)..addToDocument();
/*  new Timer(new Duration(seconds: 1), () => btn.classes.remove("hide"));
  //only blur/focus needs to handled specially
  document.query("div").on
	  ..change.add((event) {
	  	print("change ${event.target}, ${event.srcElement}");
	  })
	  ..focus.add((event) {
	  	print("focus ${event.target}, ${event.srcElement}");
	  })
	  ..select.add((event) {
	  	print("select ${event.target}, ${event.srcElement}");
	  })
	  ..keyDown.add((event) {
	  	print("keyDown ${event.target}, ${event.srcElement}");
	  })
	  ..keyUp.add((event) {
	  	print("keyUp ${event.target}, ${event.srcElement}");
	  })
	  ..keyPress.add((event) {
	  	print("keyPress ${event.target}, ${event.srcElement}");
	  })
	  ;
  document.query("input").on
	  ..keyDown.add((event) {
	  	print("keyDown@inp ${event.target}, ${event.srcElement}");
	  })
	  ..focus.add((event) {
	  	print("focus@inp ${event.target}, ${event.srcElement}");
	  });*/
/*
  new View()
  	..top = 40
    ..addChild(new View()..height = 100..width = 150..left = 30
      ..style.cssText = "border: 1px solid #dda"
      ..style.backgroundColor = "#a93")
    ..addChild(new TextView("hi, this is good"))
    ..addChild(new TextView.fromHtml("<b>hi, this is bold</b>")..top = 50)
    ..addChild(new CheckBox.fromHtml("<b>hi, this is bold ck</b>")..top = 80
      ..on.change.listen((event) {print("changed: ${(event.target as CheckBox).value}");}))
    ..addChild(new CheckBox("hi, this is normal ck", true)..top = 110
      ..on.change.listen((event) {print("changed: ${(event.target as CheckBox).value}");}))
    ..addChild(new RadioButton("hi, first choice")..top = 140..name = 'g1'
      ..on.change.listen((event) {
        print("changed: ${(event.target as RadioButton).value} vs ${(event.target.nextSibling as RadioButton).value}");}))
    ..addChild(new RadioButton("hi, second choice", true)..top = 170..name = 'g1'
      ..on.change.listen((event) {
        print("changed: ${(event.target.previousSibling as RadioButton).value} vs ${(event.target as RadioButton).value}");}))
    ..addToDocument()
    ..classes.add("v-dialog")
    ..width = 400
    ..height = 300;
*/
/*	new View()
		..layout.type = "linear"
		..addChild(new TextView("Name"))
		..addChild(new TextBox())
		..addToDocument();
*//*
    new TextView("Hello World!")
      ..on.click.listen((event) {
        (event.target as TextView).text = "Welcome to Rikulo.";
        event.target.requestLayout();
      })
      ..addToDocument();
*/
/*    final webView = new TextView.fromHtml('''
      <ul style="line-height: 23px">
        <li>Structured Web Apps <span style="float:right"></span></li>
        <li>Structured UI Model <span style="float:right"></span></li>
      </ul>
      ''');
    webView
      ..width = 250
      ..addToDocument();

    for (final n in webView.node.queryAll("span"))
      new Switch(true)
        ..profile.location = "right top"
        ..addToDocument(ref: n);
*/
/*
    final rootView = new View()..addToDocument();

    View hlayout = new View();
    hlayout.layout.text = "type: linear; width: 100; height: 70; spacing: 10";
    rootView.addChild(hlayout);

    View view = new View();
    view.style.cssText = "background: yellow; border: 1px solid black";
    hlayout.addChild(view);

    view = new View();
    view.style.cssText = "background: blue; border: 1px solid black";
    hlayout.addChild(view);
*/
/*    final rootView = new View()..addToDocument();

    View hlayout = new View();
    hlayout.layout.text = "type: linear; width: 100; height: 70; spacing: 10";
    hlayout.profile.width = "flex";
    rootView.addChild(hlayout);

    View view = new View();
    view.style.cssText = "background: yellow; border: 1px solid black";
    hlayout.addChild(view);

    view = new View();
    view.style.cssText = "background: blue; border: 1px solid black";
    hlayout.addChild(view);

    view = new View();
    view.style.cssText = "background: orange; border: 1px solid black";
    view.profile.width = "flex";
    hlayout.addChild(view);
*/
/*
    final rootView = new View()
      ..layout.text = "type: linear; orient: vertical"
      ..addToDocument();

    for (final String type in
    ["text", "password", "multiline", "number", "date", "color"]) {
      View view = new View();
      view.layout.text = "type: linear; align: center; spacing: 0 3";
          //top and bottom: 0 since nested
      rootView.addChild(view);

      TextView label = new TextView(type);
      label.style.textAlign = "right";
      label.profile.width = "70";
      view.addChild(label);

      TextBox input = new TextBox(type: type);
      view.addChild(input);
    }
*/
/*
    View view = new View();
    view.style.backgroundColor = "#ddb";
    view.profile.anchor = "parent";
    view.profile.location = "center center";
    view.profile.width = "70%";
    view.profile.height = "80%";
    view.on.layout.listen((event) {
      TextView txt = new TextView("onLayout: A child at 10%, 10%");
      txt.style.border = "1px solid #663";
      txt.left = view.width ~/ 10;
      txt.top = view.height ~/ 10;
      txt.on.mount.listen((event2) {
        TextView txt2 = new TextView("on.mount: another child at 20%, 20%");
        txt2.style.border = "1px solid #663";
        txt2.left = view.width ~/ 5;
        txt2.top = view.height ~/ 5;
        view.addChild(txt2);
      });
      view.addChild(txt);
    });
    view.addToDocument();
*/
/*
    final rootView = new View()
      ..layout.text = "type: linear; orient: vertical; spacing: 0"
      ..addToDocument();

    View header = new View();
    header.style.cssText = "background: blue";
    header.profile.text = "width: flex; height: 30";
    rootView.addChild(header);

    View inner = new View();
    inner.layout.text = "type: linear; spacing: 0"; //default: horizontal
    inner.profile.text = "width: flex; height: flex";
    rootView.addChild(inner);

    View sidebar = new View();
    sidebar.style.cssText = "background: orange";
    sidebar.profile.text = "width: 20%; height: flex";
    inner.addChild(sidebar);

    View content = new View();
    content.profile.text = "width: flex; height: flex";
    inner.addChild(content);

    View footer = new View();
    footer.style.cssText = "background: green";
    footer.profile.text = "width: flex; height: 30";
    rootView.addChild(footer);
*/
}